Bug 84374 - rpm ftp client ignores multiple filenames
rpm ftp client ignores multiple filenames
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-14 20:04 EST by K Accardi
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-20 11:31:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description K Accardi 2003-02-14 20:04:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The command-line parser in rpm's built-in ftp client ignores multiple file
specifications.  The following line will retrieve python packages only then fail
because of unmet dependencies on tkinter

# rpm -Fvh ftp://myserver/updates/7.3/i386/python* tkinter*



Version-Release number of selected component (if applicable):
rpm-4.0.4-7x.18

How reproducible:
Always

Steps to Reproduce:
1.rpm -Fvh ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python* tkinter*
2.
3.
    

Actual Results:  Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python-1.5.2-43.73.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python-devel-1.5.2-43.73.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python-docs-1.5.2-43.73.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python-tools-1.5.2-43.73.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python2-2.2.2-11.7.3.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python2-devel-2.2.2-11.7.3.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python2-docs-2.2.2-11.7.3.i386.rpm
error: failed dependencies:
	tkinter < 1.5.2-43.73 conflicts with python-1.5.2-43.73
	python = 1.5.2-42.73 is needed by tkinter-1.5.2-42.73


Expected Results:  Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python-1.5.2-43.73.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python-devel-1.5.2-43.73.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python-docs-1.5.2-43.73.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python-tools-1.5.2-43.73.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python2-2.2.2-11.7.3.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python2-devel-2.2.2-11.7.3.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/python2-docs-2.2.2-11.7.3.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/tkinter-1.5.2-43.73.i386.rpm
Retrieving
ftp://192.168.0.100:/pub/RedHat/Updates/7.3/i386/tkinter2-2.2.2-11.7.3.i386.rpm
Preparing...             ########################################### [100%]
1:python                 ########################################### [50%]
2:tkinter                ########################################### [100%]


Additional info:

rpm-4.0.4-7x.18
Comment 1 Jeff Johnson 2003-02-20 11:31:01 EST
The fol;lowing command "works" for me:

bash$ sudo rpm -Fvh ftp://localhost/8.1/i386/popt-* /8.1/i386/rpm-*
Retrieving ftp://localhost/8.1/i386/popt-1.8-0.68.i386.rpm
warning: /var/tmp/rpm-xfer.fuoq9F: V3 DSA signature: NOKEY, key ID 897da07a
Preparing...                ########################################### [100%]
   1:popt                   ########################################### [ 20%]
   2:rpm                    ########################################### [ 40%]
   3:rpm-build              ########################################### [ 60%]
   4:rpm-devel              ########################################### [ 80%]
   5:rpm-python             ########################################### [100%]

Perhaps you are being tricked by --freshen, which upgrades packages
iff they are already installed.
Comment 2 K Accardi 2003-02-20 12:41:54 EST
Thanks.  Didn't realize that I needed to specify the entire path for each
file--makes sense, though.  I know what --freshen does it's just that rpm was
silently ignoring half of my request.

I'd be nice if rpm reported (in the 2nd verbosity level) when no match is found.
 In the above example, it could have said  "tkinter* -- No Match."  

This would also help catch typos.  If I mis-type your example as,

rpm -Fvh ftp://localhost/8.1/i386/poopt-*

it would return silently as if I had it installed and a --freshen wasn't
necessary.  I need to add another --verbose to get useful info

rpm -Fvvh ftp://localhost/8.1/i386/poopt-*
D: found 0 source and 0 binary packages

Cheers,
Kyle Accardi


 

Note You need to log in before you can comment on or make changes to this bug.